<?php include ('header1f.php');?>
<script src="js/jquery-3.5.1.min.js"></script>
<?php 
date_default_timezone_set('Asia/Calcutta');
$today = date("d/m/Y");
$today3 = date("Y-m-d");
$today1 = date("d/m");


$queryls1 = "select * from  appointment_details  where appointment_id='".$_REQUEST['appointment']."'";
$resultls1  = mysqli_query($conn,$queryls1);	
while($row=mysqli_fetch_array($resultls1))
{
$registration_id = $row['registration_id'];
$call_follow_up_id = $row['call_follow_up_id'];
}
?> <?php 
date_default_timezone_set('Asia/Calcutta');
$today = date("d/m/Y");
$today3 = date("Y-m-d");
$today1 = date("d/m");

$startDate = date('Y-m-d', strtotime('monday this week'));

// Define the end date of the week
$endDate = date('Y-m-d', strtotime('sunday this week'));

// Generate an array of days in the week
$daysInWeek = [];
$currentDate = $startDate;
while ($currentDate <= $endDate) {
    $daysInWeek[] = $currentDate;
    $currentDate = date('Y-m-d', strtotime('+1 day', strtotime($currentDate)));
}

$tablename = $_REQUEST['tablename'];


$queryls2 = "select * from  $tablename  where ibp_id ='".$_REQUEST['program_id']."'";
$resultls2  = mysqli_query($conn,$queryls2);	
while($row=mysqli_fetch_array($resultls2))
{
$age = $row['age'];
}

?>

 <div class="content-page">
    <div class="content">
      <div class="container">
        <div class="row">
          <div class="col-sm-12">
            <div class="page-header-title">
           <button type="button" class="btn btn-dark  waves-effect waves-light" onclick="location.href='index.php'">BACK </button>
             
             
              <div class="clearfix"></div>
            </div>
          </div>
        </div>
      	  	  
        
        <div class="row">
          <div class="col-md-12">
            <div class="panel panel-primary">
              <div class="panel-heading">
                <h3 class="panel-title">ADD MEDICATION</h3>
              </div>	
		
			
              <div class="panel-body">
                                    <div class="row"> 

               <form name="frm_add_category"  id="frm_add_category" method="post"action="insert_prescription_step1.php" >	
			   <input  type="hidden" name="program_id" value="<?php echo $_REQUEST['program_id']?>"/>
			   <input  type="hidden" name="program_name"  value="<?php echo $_REQUEST['program_name']?>"/>	
			   <input  type="hidden" name="tablename" value="<?php echo $_REQUEST['tablename']?>"/>
			   <input  type="hidden" name="registration_id"  value="<?php echo $_REQUEST['registration_id']?>"/>	
			   <input  type="hidden" name="appointment_id" value="<?php echo $_REQUEST['appointment']?>"/>
			   			

                        <div class="box-body">
						
							<div class="row">
							
								<div class="col-sm-3 col-xs-12">
                                            <div class="m-t-20">
							   <div class="form-group">
                                <label for="first_name" class="control-label">Date</label>
               					 <div class="input-group">
                          <input type="text" class="form-control" placeholder="yyyy-mm-dd" id="datepicker-autoclose" name="prescription_date"value="<?php echo $today3; ?>" >
													   <span class="input-group-addon bg-custom b-0"><i class="mdi mdi-calendar text-white"></i></span></div>
                            </div>
</div></div>
							
							<div class="col-sm-3 col-xs-12">
                                            <div class="m-t-20">
							   <div class="form-group">
                                <label for="first_name" class="control-label">Name</label>
               							<input class="form-control" type="text" name="name" value="<?php echo $_REQUEST['patient_name'];?>"  required/>
                            </div>
</div></div>
							
							
							<div class="col-sm-3 col-xs-12">
                                            <div class="m-t-20">
							   <div class="form-group">
                                <label for="middle_name" class="control-label">Height</label>
                				<input class="form-control" type="text" name="height" placeholder="Height" required/>
                            </div>
</div></div>

<div class="col-sm-3 col-xs-12">
                                            <div class="m-t-20">
							   <div class="form-group">
                                <label for="middle_name" class="control-label">AGE</label>
                				<input class="form-control" type="text" name="age" placeholder="Age" value="<?php echo $age?>" required/>
                            </div>
</div></div>
                     
					 <div class="col-sm-3 col-xs-12">
                                            <div class="m-t-20">       <div class="form-group">

                               <label for="last_name" class="control-label">Weight</label>
                	<input class="form-control" type="text" name="weight" placeholder="Weight" required />

                            </div></div></div>
							
							
							
							
							
							
							
							
							</div>
							
						      
                            <div class="col-sm-12 col-xs-12">
                                           
                                            <div class="m-t-20">
                                                    <div class="form-group">
                                                        <div>
                                                            <button type="submit" class="btn btn-primary waves-effect waves-light" style="float:right"> Submit </button>
							
															
                                                           
                                                        </div>
                                                    </div>
                                               
                                            </div>
                                        </div>

</div>

                    </form></div></div>
									
                                        
												
													
<script type="text/Javascript">
	function callAddContact2()
	{
	
   var tbl = document.getElementById('cntTable2');
	 var lastRow = tbl.rows.length;
	 // if there's no header row in the table, then iteration = lastRow + 1
	 var iteration = lastRow;
	 var row = tbl.insertRow(lastRow);
	 var node1;
	 var lineno = lastRow;
	 // cell 0
	 var cellLeft = row.insertCell(0);
	 cellLeft.className = "center";
		var node = document.createElement('span');
		node.className = "glyphicon glyphicon-remove";
		node.title="Delete line";
		var link = document.createElement("a");
		link.className = "btn bg-btn-delete";
		link.style.padding = "0px 2px";
		link.href="javascript:callRemoveContact("+lineno+");";
		link.appendChild(node);
		//cellLeft.appendChild(link);
	 
	 node = document.createElement("input");
	 node.type = 'hidden';
	 node.name = 'cid'+lineno;
	 node.value = '';
	 node.id = 'cid'+lineno;
	 cellLeft.appendChild(node);
	 node = document.createElement("input");
	 node.type = 'text';
	 node.style.width = "50px";
	
	 node.name = 'clinenum'+lineno;
	 node.value = lineno;
	 node.id = 'clinenum'+lineno;
	 cellLeft.appendChild(node);
	 
	 
	 

	 
	  var cell1 = row.insertCell(1); 
    var nodegend = document.createElement('select');
    nodegend.className = 'form-control';
	 nodegend.name = 'herbs'+lineno;
 var opt = nodegend.options;
 opt[opt.length] = new Option('Select','');
 <?php $query21 = "select * from medicines_master where status='1'";
      // echo $query21;
       $result21 = mysqli_query($conn,$query21);
       $total = mysqli_num_rows($result21);
        while($row=mysqli_fetch_array($result21))
           {
$medicines = $row['medicines'];
$medicines_id = $row['medicines_id'];
 ?>
opt[opt.length] = new Option('<? echo $medicines ?>','<? echo $medicines_id ?>');
<? } ?>
cell1.appendChild(nodegend);


	 
	  var cell2 = row.insertCell(2); 
    var node = document.createElement('input');
    node.className = 'form-control';
	 node.name = 'morning'+lineno;
	 node.placeholder='';
	 node.value = "";
	 node.id = '';
	 node.style.textTransform='capitalize';
	 cell2.appendChild(node);
	 
	 
	 	 
	  var cell3 = row.insertCell(3); 
    var node = document.createElement('input');
    node.className = 'form-control';
	 node.name = 'noon'+lineno;
	 node.placeholder='';
	 node.value = "";
	 node.id = '';
	 cell3.appendChild(node);
	

	  var cell4 = row.insertCell(4); 
    var node = document.createElement('input');
    node.className = 'form-control';
	 node.name = 'evening'+lineno;
	 node.placeholder='';
	 node.value = "";
	 node.id = '';
	 cell4.appendChild(node);
	
	
		
	  var cell5 = row.insertCell(5); 
    var node = document.createElement('input');
    node.className = 'form-control';
	 node.name = 'night'+lineno;
	 node.placeholder='';
	 node.value = "";
	 node.id = '';
	 cell5.appendChild(node);
	
	
	  var cell6 = row.insertCell(6); 
    var node = document.createElement('input');
    node.className = 'form-control';
	 node.name = 'bedtime'+lineno;
	 node.placeholder='';
	 node.value = "";
	 node.id = '';
	 cell6.appendChild(node);
	
	
	
	  var cell7 = row.insertCell(7); 
    var nodegend = document.createElement('select');
    nodegend.className = 'form-control';
	 nodegend.name = 'home_remidies'+lineno;
 var opt = nodegend.options;
 opt[opt.length] = new Option('Select','');
 <?php $query22 = "select * from home_remidies_master where status='1'";
      // echo $query21;
       $result22 = mysqli_query($conn,$query22);
        while($row=mysqli_fetch_array($result22))
           {
$home_remidies = $row['home_remidies'];
 ?>
opt[opt.length] = new Option('<? echo $home_remidies ?>','<? echo $home_remidies ?>');
<? } ?>
cell7.appendChild(nodegend);
	
	 
	
	
		
	document.getElementById('cntcount2').value = lineno;
	document.getElementById('sigthseeing').style.visibility='visible';
	
}function delRow()
{

    var tableName = document.getElementById('cntTable2');

    var prev = tableName.rows.length;

    if(prev > 1)

{
    

/////////////////////////////////////////////////////////////////////////////////////
   
	 // if there's no header row in the table, then iteration = lastRow + 1
	
	 var row = document.getElementById('cntTable2').deleteRow(prev-1);
	 
	 }
	 var node1;
	  var iteration = lastRow;
	 var lastRow = tableName.rows.length;
	 var lineno = lastRow;
document.getElementById('cntcount2').value = lineno-1;




}
</script>

													
                                                    
                                        
                              </div>
            </div>
          </div>
      </div>
    </div>
   	<?php include 'footer1a.php';?>
